;
;
;

MaxTurnTime equ 20000
MaxProjectsToPlayer equ 15
TotalProjectsCount equ 50
BotNameMaxLength equ 30

BlockShieldValue equ 20

BaseLabLimit equ 5
UnlimitLabsBaseValue equ 50
UnlimitLabsStep equ 5


struc PlayerInfo
{
    .Base dd ?
    .Shield dd ?
    .Battery dd ?
    .Mines dd ?
    .Labs dd ?

    .Energy dd ?
    .Metal dd ?
    .Elements dd ?
}

PlayerInfoSize equ 32

struc AdditionalGameInfo
{
    .PreviousOpponentProject dd ?
    .TurnCount dd ?
    .PlrMessage dd ?
    .GameFlags dd ?
    .OpponentName db BotNameMaxLength+1 dup (?);
    .GameResult dd ?
    .Reserved dd ?
}


GF_EXTENDED equ 0x00010000
GF_BOT_vs_BOT equ 0x10000000
GF_SINGLEGAME equ 0x20000000
GF_SHOWGAMERESULT equ GF_SINGLEGAME;
GF_DEBUGMODE equ 0x40000000;

GR_FirstLose equ 0x00000001
GR_SecondLose equ 0x00000002
GR_Draw equ 0x00000004
GR_WIN equ 0x00000008
GR_ERROR equ 0x00000010
GR_TimeOut equ 0x00000020

